"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Text = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _rebass = require("rebass");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getBorderColor = function getBorderColor(_ref) {
  var theme = _ref.theme;
  return {
    borderColor: theme.colors.ui05
  };
};

var getFocusBorderColor = function getFocusBorderColor(_ref2) {
  var theme = _ref2.theme;
  return {
    borderColor: theme.colors.primary
  };
};

var Text = (0, _styledComponents.default)(_rebass.Box).withConfig({
  displayName: "Textstyle__Text",
  componentId: "y8nx9l-0"
})(["appearance:none;border-width:1px;border-style:solid;", " width:100%;line-height:1;padding:12px;&:focus{", "}"], getBorderColor, getFocusBorderColor);
exports.Text = Text;